/*whatsapp*/
.w-green {
    color: #008069;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    background: rgb(9, 94, 84);
    padding: 10px 20px;
}
.w-close {
    position: absolute;
    top: 8px;
    right: 8px;
    width: 20px;
    height: 20px;
    opacity: 0.4;
    cursor: pointer;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    transition: all 0.3s ease 0s;
    outline: transparent;
}
.w-close::before {
    transform: rotate(45deg);
}
.w-close::before, .w-close::after {
    content: "";
    position: absolute;
    width: 12px;
    height: 2px;
    background-color: rgb(255, 255, 255);
    display: block;
    border-radius: 2px;
}
.w-close::after {
    transform: rotate(-45deg);
}
.w-close::before, .w-close::after {
    content: "";
    position: absolute;
    width: 12px;
    height: 2px;
    background-color: rgb(255, 255, 255);
    display: block;
    border-radius: 2px;
}

.w-text {
    position: relative;
    max-height: 382px;
    padding: 20px 20px 20px 10px;
    overflow: auto;
}
.w-text::before {
    display: block;
    position: absolute;
    content: "";
    left: 0px;
    top: 0px;
    height: 100%;
    width: 100%;
    z-index: 0;
    background-image:url(../img/bg-w.webp);
    background-size: 130%;
}
.header-w-widget {
    background-color: rgb(255, 255, 255);
    position: relative;
    opacity: 0;
    transform-origin: center top;
    z-index: 2;
    box-shadow: rgba(0, 0, 0, 0.13) 0px 1px 0.5px;
    margin-top: 4px;
    margin-left: -54px;
    max-width: calc(100% - 66px);
    padding: 7px 14px 6px;
    border-radius: 0px 8px 8px;
    transition: all 0.3s ease 0s;
}
.jwwAjt {
    color: rgb(255, 255, 255);
    font-size: 15px;
    font-weight: 700;
    line-height: 20px;
    cursor: pointer;
    position: relative;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    -webkit-appearance: none;
    padding: 8px 12px;
    border-radius: 20px;
    border-width: initial;
    border-style: none;
    border-color: initial;
    border-image: initial;
    background: rgb(79, 206, 93);
    margin: 20px;
    overflow: hidden;
}
#widget-chat {
    box-shadow: rgba(0, 0, 0, 0.1) 0px 12px 24px 0px;
    display: flex;
    flex-direction: column;
    width: 100%;
    pointer-events: all;
    visibility: visible;
    touch-action: auto;
    margin-bottom: 96px;
    position: fixed;
    bottom: 0px;
    right: 0px;
    left: auto;
    margin-right: 20px;
    border-radius: 10px;
    overflow: hidden;
    background-image:url(../img/bg-w.webp);
    background-size: 130%;
    z-index: 2;
}


.w-avatar::before {
    content: "";
    bottom: 0px;
    right: 0px;
    width: 12px;
    height: 12px;
    box-sizing: border-box;
    background-color: rgb(74, 213, 4);
    display: block;
    position: absolute;
    z-index: 1;
    border-radius: 50%;
    border-width: 2px;
    border-style: solid;
    border-color: rgb(9, 94, 84);
    border-image: initial;
}
.w-avatar {
    width: 52px;
    height: 52px;
    display: block;
    position: relative;
    flex-shrink: 0;
}
.w-icon {
    height: 100%;
    width: 100%;
    position: relative;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    overflow: hidden;
    border-radius: 50%;
}
.w-avatar-img {
    min-width: 100%;
    height: 100%;
    flex-shrink: 0;
    background-size: cover;
    background-image: url(../img/waveflow-avatar.webp);
    background-position: center center;
    background-repeat: no-repeat;
}
.w-title-header {
    margin-left: 16px;
    margin-right: 16px;
}
.w-title-header-text {
    font-size: 16px;
    font-weight: 700;
    line-height: 20px;
    color: rgb(255, 255, 255);
}
.w-title-header-sub {
    font-size: 13px;
    line-height: 18px;
    margin-top: 4px;
    color: rgb(255, 255, 255);
}
.w-text-box {
    display: flex;
    z-index: 1;
}
.w-text-box-content {
    background-color: rgb(255, 255, 255);
    width: 52.5px;
    height: 32px;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    margin-left: 10px;
    opacity: 0;
    z-index: 1;
    box-shadow: rgba(0, 0, 0, 0.13) 0px 1px 0.5px;
    border-radius: 16px;
    transition: all 0.1s ease 0s;
}
.header-w-widget::before {
    position: absolute;
    background-size: contain;
    content: "";
    top: 0px;
    left: -12px;
    width: 12px;
    height: 19px;
    background-position: 50% 50%;
    background-repeat: no-repeat;
}
.header-w-widget {
    background-color: rgb(255, 255, 255);
    position: relative;
    opacity: 0;
    transform-origin: center top;
    z-index: 2;
    box-shadow: rgba(0, 0, 0, 0.13) 0px 1px 0.5px;
    margin-top: 4px;
    margin-left: -54px;
    max-width: calc(100% - 66px);
    padding: 7px 14px 6px;
    border-radius: 0px 8px 8px;
    transition: all 0.3s ease 0s;
}
.w-title {
    font-size: 13px;
    font-weight: 700;
    line-height: 18px;
    color: rgba(0, 0, 0, 0.4);
}
.w-text-hi {
    font-size: 14px;
    line-height: 19px;
    margin-top: 4px;
    color: rgb(17, 17, 17);
}
.w-time {
    text-align: right;
    margin-top: 4px;
    font-size: 12px;
    line-height: 16px;
    color: rgba(17, 17, 17, 0.5);
    margin-right: -8px;
    margin-bottom: -4px;
}
#button-chat {
    height: 55px;
    width: 55px;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 12px;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    cursor: pointer;
    user-select: none;
    background-color: #25d366;
    margin-bottom: 20px;
    border-radius: 50%;
    outline: transparent;
    position: fixed;
    z-index: 99 !important;
    bottom: 0rem;

}
#button-chat::before {
    content: "";
    width: 10px;
    height: 10px;
    background-color: rgb(255, 0, 0);
    display: block;
    position: absolute;
    z-index: 1;
    right: 4px;
    top: 4px;
    border-radius: 50%;
}
.send-w { max-width: 1.2rem; }
a.send-btn { 
    border-radius: 50px;
    background-color: #008069 !important;
    max-width: 3rem !important;
    padding: .7rem 1rem;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 12px;
}    
a.send-btn:hover { 
    background-color: #4fce5d !important;
}
    
.form-inline {    
    position: relative;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    -webkit-appearance: none;
    border-image: initial;
    margin: 20px;
}
.input-w {
    margin: -18px;
    width: 111% !important;
    border-radius: 50px;
    padding: .6rem 1.4rem !important;
    border:none;
}
.form-control:focus {
    box-shadow: 0 0 0 0.2rem rgba(0,123,255,.0);
}